import java.util.Calendar;


/**
 * Lab #3
 * CS 2334, Section 0??
 * February 09, 2012
 * <P>
 * This class provides a very simple model for a person.
 * </P>
 * @author Leave Blank
 * @version 1.0
 */
public class Person {
		
	/** The name of the person. */
	private String name;

	/** A boolean specifying whether the person is alive. */
	private boolean alive;
	
	/** The person's date of birth. */
	private Calendar dateOfBirth;

	
	/**
	 * This is the default constructor for the class.
	 */   
	public Person() {
		name = "";
		alive = false;
		dateOfBirth = null;
	}

	/**
	 * This is a constructor for the class. 
	 * It instantiates the class with user-supplied values.
	 * <P>
	 * @param             name        	The name of the person.
	 * @param             alive     	Whether the person is living or dead.
	 * @param             dateOfBirth   When the person was born.
	 */   
	public Person(String name, boolean alive, Calendar dateOfBirth) {
		this.name = name;
		this.alive = alive;
		this.dateOfBirth = dateOfBirth;
	}
	
	/**
	 * This method returns the attributes of this class as 
	 * a single string.
	 * </P>
	 * @return            String representing the contents of this object.
	 */
	public String toString(){
		// Add the code for toString() here.
		return "fixme!"; // Make sure you replace this return statement.	
	}


	/**
	 * This method compares an instance of this Person, with another
	 * instance of Person.
	 * <P>
	 * Algorithm:<br>
	 * ????
	 * </P>
	 * @param             obj         The object to which we are comparing
	 *                                this instance of Person.
	 * @return            ?????????
	 */    
	public int compareTo(Object obj){
		// Add the code for compareTo() here.
		return 1; // Make sure you replace this return statement.
	}
}